#Import Find Sep Data into D
D<-read.table("C:FindSepAge.csv",header=TRUE,sep=",")


#Import simulated data into S

SBL<-read.table("C:/ExpWorkFlowSimData/BL_annual_data.csv",header=FALSE,sep=",", col.names=c("un","find","sep","wage","sepjj"))
SA0<-read.table("C:/ExpWorkFlowSimData/A0_annual_data.csv",header=FALSE,sep=",", col.names=c("un","find","sep","wage","sepjj"))
SD0<-read.table("C:/ExpWorkFlowSimData/D0_annual_data.csv",header=FALSE,sep=",", col.names=c("un","find","sep","wage","sepjj"))


################################Plots For Paper#####################################################


#Job Finding Rates: Baseline Modesl vs Data

pdf("C:/Fig1.pdf")

plot(age, find, xlab="Age", ylab="Job Finding Rate", xlim=c(18,55), ylim=c(.15,.5), col="red", lwd=2)
lines(D$age[3:40], SBL$find[1:38], lwd=2, col = "blue")
lines(D$age[3:40], SD0$find[1:38], lwd=2, lty=2, col = "black")
lines(D$age[3:40], SA0$find[1:38], lwd=2, lty=3, col = "darkgreen")
legend("top", c("Baseline", expression(paste(alpha, " = 0")), expression(paste(delta, " = 0")), "CPS Data"), col = c("blue", "darkgreen", "black", "red"), lty=c(1,3,2,NA), lwd=2, pch=c(NA,NA,NA,1) )

dev.off()


#Job Separation Rate no J2J

pdf("C:/Fig2a.pdf")

plot(age, sep, xlab="Age", ylab="Job Separation Rate", xlim=c(18,55), ylim=c(0,.3), col="red", lwd=2)
lines(D$age[3:40], SBL$sep[1:38], lwd=2, col = "blue")
lines(D$age[3:40], SD0$sep[1:38], lwd=2, lty=2, col = "black")
lines(D$age[3:40], SA0$sep[1:38], lwd=2, lty=3, col = "darkgreen")
legend("top", c("Baseline", expression(paste(alpha, " = 0")), expression(paste(delta, " = 0")), "CPS Data"), col = c("blue", "darkgreen", "black", "red"), lty=c(1,3,2,NA), lwd=2, pch=c(NA,NA,NA,1) )

dev.off()

#Job separation Rate: including job-to-job switches

pdf("C:/Fig2b.pdf")

plot(age, sep, xlab="Age", ylab="Job Separation Rate", xlim=c(18,55), ylim=c(0,.3), col="red", lwd=2)
lines(D$age[3:40], SBL$sepjj[1:38], lwd=2, col = "blue")
lines(D$age[3:40], SD0$sepjj[1:38], lwd=2, lty=2, col = "black")
lines(D$age[3:40], SA0$sepjj[1:38], lwd=2, lty=3, col = "darkgreen")
legend("top", c("Baseline", expression(paste(alpha, " = 0")), expression(paste(delta, " = 0")), "CPS Data"), col = c("blue", "darkgreen", "black", "red"), lty=c(1,3,2,NA), lwd=2, pch=c(NA,NA,NA,1) )

dev.off()





#Wages  

pdf("C:/Fig3.pdf")

plot(D$age[3:40], SBL$wage[1:38], xlab="Age", ylab="Wage Rate", xlim=c(18,55), ylim=c(0.6,1), type="l", col="blue", lwd=2)
lines(D$age[3:40], SD0$wage[1:38], lwd=2, lty=2, col = "black")
lines(D$age[3:40], SA0$wage[1:38], lwd=2, lty=3, col = "darkgreen")
legend("bottom", c("Baseline", expression(paste(alpha, " = 0")), expression(paste(delta, " = 0"))), col = c("blue", "darkgreen", "black"), lty=c(1,3,2), lwd=2, pch=c(NA,NA,NA) )

dev.off()


