clear
use "C:\QEtoSTATA.dta" 

sum initwage, d
sum wage, d
//Drop top and bottom 1% of wage and initial wage 
keep if wage<=2518
keep if wage>=100
keep if initwage<=2272
keep if initwage>=100

keep if tenure==1

gen annexp=jobexp/52
gen annexp2 = annexp^2
gen annexp3 = annexp^3
gen annexp4 = annexp^4
gen annexp5 = annexp^5

sum lagwage, d
sum lagwage if annexp<=1, d

reg lagwage annexp annexp2 annexp3 annexp4 annexp5
predict plagwage

gen wagedev2 = abs(lagwage-plagwage)

gen female=sex-1
gen hsbelow = (degree==0|degree==1)
gen col = (degree>1&degree<=4)
gen grad = (degree>4&degree!=.)


reg wagedev2 annexp, cluster(id)

xi: reg wagedev2 annexp female hsbelow col i.race, cluster(id)

xi: reg wagedev2 annexp female hsbelow col i.race i.age i.year, cluster(id)

areg wagedev2 annexp, absorb(id)



#delimit;
graph twoway (scatter wagedev2 annexp),
		title(NLSY79 Data)
		xtitle("Years Experience")
		ytitle("Wage Volatility")
		legend(off)
		graphregion(color(white))
;

