
D <- read.table("C:/NLSY Data.csv",,header=TRUE,sep=",")

D<-D[order(D$id,D$year),]


#Cleaning NAs by setting to 0
D[is.na(D$highestdeg),]$highestdeg<-0
D[is.na(D$weeksworked),]$weeksworked<-0
D[is.na(D$tenurefirstjob),]$tenurefirstjob<-0

#Create by-id variables
D$degree<-ave(D$highestdeg,D$id,FUN=max)
D$maxweeksworked<-pmax(D$weeksworked,D$tenurefirstjob)
D$experience<-ave(D$maxweeksworked,D$id,FUN=cumsum)


#Did you get a new job this year?
library(Hmisc)
D$lastjobnum<-ave(D$totjobnum,D$id,FUN=function(x)Lag(x,shift=1))
D$deltajob<-D$totjobnum-D$lastjobnum
D$newjob<-(!is.na(D$deltajob) & D$deltajob>0)*1

#Job Number
D$jobno<-ave(D$newjob,D$id,FUN=cumsum)
D$jobno<-D$jobno+1

#Job Id
D$jobid <- as.numeric(factor(interaction(D$id, D$jobno))) 
D$jobexp<-ave(D$experience,D$jobid,FUN=min)

#Tenure in job
D$since<-ave(D$year,D$jobid,FUN=function(x)Lag(x,shift=1))
D$since<-D$year-D$since
D[is.na(D$since),]$since<-0
D$tenure<-ave(D$since,D$jobid,FUN=cumsum)


#Cut out after first NA observed in wage in a job
D[is.na(D$wage),]$wage<-0
D$fullwage<-ave(D$wage,D$jobid,FUN=cumprod)
D<-D[D$fullwage!=0,]

#Create log wage
D$logwage<-log(D$wage)


# Delta wage
D$protodelta<-(D$tenure==0)*D$wage
D$initwage<-ave(D$protodelta,D$jobid,FUN=max)
D$lagwage<-log(D$wage)-log(D$initwage)

#fix experience
D$age2<-D$year-1979+D$age
D<-D[D$age2>=17,]


# Cut out observations for people 18 or older at beginning
D<-D[D$age<18,]

D<-D[D$year<1995,]

# export data frame to Stata binary format 
library(foreign)
write.dta(D, "C:/NLSYtoSTATA.dta")